1. WhatsApp
SCAEM
  • Back to home
  • api.dataemergencia.com
  • Endpoints
    • V1
      • Generators
        • Series Generator
        • Code Generator
        • Code Retrival
        • Code Remaining
      • Whatsapp
        • Test Message Template Copy
        • Test Message Emergency Template One
        • Test Message Template
        • Test Message Text
      • Tokens
        • Generate Token
        • Register Application
        • Generate Application Token
        • Patch Application Token
      • Auth
        • Logout
        • CSRF
        • Relationship
      • Webhooks
        • WhatsApp Verification Webhook
        • WhatsApp Handling Messages Webhook
      • Welcome
    • V2
      • Fmd
        • FMD
        • FMD Model Data
        • FMD Models Data
        • FMD Existence
        • Check existent FMD
        • Relationship
        • FMD Patch Emergency Contacts
        • FMD Patch Template Type
        • FMD Patch
        • FMD Update Emergency Contacts
      • Auth
        • Logout
        • Register
        • Login
      • Product
        • Product
      • Google Maps
        • Google Maps | Search Based URL Generator
      • WhatsApp
        • Send Template Message
          POST
      • Generators
        • Code Generator Carnet QR Pattern
      • Webhooks
        • WhatsApp Verification Webhook
        • WhatsApp Handling Messages Webhook
      • Emergency
        • Emergencies
        • Emergency
        • Emergency
        • Emergency
        • Emergency Copy
      • Subscription
        • Subscription
      • Project
        • Create Project Access Url
      • SGI-API-Chatwoot
        • Send messages to Chatwoot Inbox API (broke)
        • Send Location Message
        • Create Contact
      • Codes
        • Generate Code By Prefix
        • Generate Code By Prefix Copy
  • Test
    • Auth
      • Login
      • Register
    • Broadcasting
      • WhatsApp Broadcasting Event Trigger
      • WhatsApp Broadcasting Status Event Trigger
      • WhatsApp Broadcasting Event Trigger For Routing to Correct Recipient
    • Media Test Hardcoded
      GET
    • oauth-broke
      GET
    • user_pic
      GET
    • Test Connection
      GET
    • Me
      GET
  • External
    • Whatsapp
      • Resumable API
        • Start Media Uploading Session
        • Upload Media
      • WhatsApp Media Assets API
        • Download Media
        • Test Whatsapp Image Download
        • Test Whatsapp Image URL Retrieval
      • Test Message
      • second_test_message template
      • Verify Phone Number
      • Check conversations
  • Health
    GET
  1. WhatsApp

Send Template Message

Developing
POST
/{{v2}}/whatsapp/templates/send
This endpoint allows, through a single point to send "Template Type" messages through the use of WhatsApp Cloud API

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/json

Example
{
  "to": "+584121307426",
  "template": "emergency_message_template_one",
  "language": "en",
  "google_maps": {
    "latitude": "10.258620",
    "longitude": "-67.707240",
    "zoom": 17
  },
  "components": [
    {
      "type": "body",
      "parameters": [
        {
          "type": "text",
          "parameter_name": "contact_name",
          "text": "Cesar Torres"
        },
        {
          "type": "text",
          "parameter_name": "user_name",
          "text": "Jhon Leon"
        }
      ]
    }
  ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff '/{{v2}}/whatsapp/templates/send' \
--header 'X-Application-Identifier: 77a90d5a-ed75-45f1-9f7c-4db5e025c65c' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "to": "+584121307426",
  "template": "emergency_message_template_one",
  "language": "en",
  "google_maps": {
    "latitude": "10.258620",
    "longitude": "-67.707240",
    "zoom": 17
  },
  "components": [
    {
      "type": "body",
      "parameters": [
        {
          "type": "text",
          "parameter_name": "contact_name",
          "text": "Cesar Torres"
        },
        {
          "type": "text",
          "parameter_name": "user_name",
          "text": "Jhon Leon"
        }
      ]
    }
  ]
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "meta": {
        "timestamp": "2025-07-04T12:59:00-04:00",
        "api_version": "v1.2.0",
        "status": 200,
        "copyright": "© 2025 api.dataemergencia.com. All rights reserved."
    },
    "data": {
        "type": "response",
        "id": "success|XnJQfEJZ7YlLPTK9Of7Cmk7ptpeXUHIW",
        "attributes": {
            "success": true,
            "message": "WhatsApp template message sent successfully.",
            "details": "wamid.HBgMNTg0MTIxMzA3NDI2FQIAERgSNzg1RjA5MTczRTIyM0EwM0M4AA=="
        }
    }
}
Modified at 2025-06-03 19:23:39
Previous
Google Maps | Search Based URL Generator
Next
Code Generator Carnet QR Pattern
Built with